# Review at https://bugzilla.redhat.com/show_bug.cgi?id=660159

%global minorversion 1.2

Name:           thunar-vfs
Version:        1.2.0
Release:        3%{?dist}
Summary:        Virtual filesystem shipped with Thunar 1.0 and earlier releases

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://thunar.xfce.org
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfce4util-devel >= 4.6.0
BuildRequires:  exo-devel >= 0.5.4
BuildRequires:  dbus-glib-devel 
BuildRequires:  gamin-devel
BuildRequires:  GConf2-devel
BuildRequires:  startup-notification-devel >= 0.4
BuildRequires:  freetype-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel >= 2:1.2.2-16
BuildRequires:  intltool gettext
BuildRequires:  gtk-doc
BuildRequires:  desktop-file-utils
Conflicts:      Thunar < 1.1.0

%description
This package contains the virtual filesystem shipped with Thunar 1.0 and earlier
releases. It provides compatibility for applications that still use thunar-vfs 
while Thunar was ported to GVFS.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static --enable-gtk-doc 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
%find_lang %{name}
# remove duplicate docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc

%check
make tests


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README 
%doc docs/ThumbnailersCacheFormat.txt docs/README.volumes
%{_libdir}/*.so.*
%{_libdir}/thunar-vfs-*/
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/thunar-vfs-font-thumbnailer-1.desktop

%files devel
%defattr(-,root,root,-)
%doc HACKING TODO
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/thunar-vfs-*.pc

%changelog
* Tue Apr 26 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-3
- No longer BuildRequire hal-devel

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 16 2011 Kevin Fenzi <kevin@tummy.com> - 1.2.0-1
- Update to 1.2.0

* Tue Nov 08 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.1-1
- Initial package
